curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-olx-regions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-olx-regions"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-olx-regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "olx_regions",
"domain": "olx.pl",
"max_items": 2,
"partial": false,
"human": "# OLX regions\n\n- **Domain:** olx.pl\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.6 KB",
"machine": {
"total_items": 2,
"total_available": 16,
"first_item": {
"id": "3",
"name": "Dolnośląskie",
"alias": "dolnoslaskie",
"region_id": null,
"county": null,
"latitude": null,
"longitude": null,
"radius": null,
"zoom": null,
"has_districts": null
},
"items": [
{
"id": "3",
"name": "Dolnośląskie",
"alias": "dolnoslaskie",
"region_id": null,
"county": null,
"latitude": null,
"longitude": null,
"radius": null,
"zoom": null,
"has_districts": null
},
{
"id": "15",
"name": "Kujawsko-pomorskie",
"alias": "kujawsko-pomorskie",
"region_id": null,
"county": null,
"latitude": null,
"longitude": null,
"radius": null,
"zoom": null,
"has_districts": null
}
],
"proxy_traffic_bytes": 1591
},
"total_points": 5
}OLX regions
OLX geography: top-level regions or the cities of one region, with ids and coordinates for offers search. 5 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Marketplace. Options: olx.pl = olx.pl (Poland), olx.ua = olx.ua (Ukraine), olx.ro = olx.ro (Romania), olx.bg = olx.bg (Bulgaria), olx.pt = olx.pt (Portugal), olx.kz = olx.kz (Kazakhstan), olx.uz = olx.uz (Uzbekistan)
olx.pl, olx.ua, olx.ro, olx.bg, olx.pt, olx.kz, olx.uz Region ID
x >= 1Max items (up to 500)
1 <= x <= 500Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.